
Redmine - Defect #27861

bundle install fails for nokogiri 1.7.2 (x64-mingw32) and ruby 2.4.3 on Windows

2017-12-28 13:41 - Kenan Dervisevic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.4.3

Description

bundle install command fails for nokogiri 1.7.2 (x64-mingw32) and ruby 2.4.3 on Windows with the following message:

 nokogiri.png 

Ruby version installed: ruby 2.4.3p205 (2017-12-14 revision 61247) [x64-mingw32] (from rubyinstaller.org)

According to https://github.com/sparklemotion/nokogiri/issues/1618, nokogiri 1.8.0 fixes this. I've bumped the version to 1.8.0 in

Gemfile and it did the trick.

Related issues:

Is duplicate of Redmine - Defect #27505: Cannot install nokogiri 1.7 on Windo... Closed

History

#1 - 2017-12-28 14:12 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #27505.

#2 - 2017-12-28 14:12 - Toshi MARUYAMA

- Is duplicate of Defect #27505: Cannot install nokogiri 1.7 on Windows Ruby 2.4 added
